# $Revision: 1.31 $, $Date: 2010/08/21 19:07:59 $
%include	/usr/lib/rpm/macros.php
%define		_class		HTML
%define		_subclass	Template
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}_Sigma
Summary:	%{_pearname} - Integrated Templates API implemetation with template 'compilation'
Summary(pl.UTF-8):	%{_pearname} - Implementacja API Integrated Templates z "kompilacją" szablonów
Name:		php-pear-%{_pearname}
Version:	1.2.0
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	eef2e758dc15ebdd24ded27ff138f499
URL:		http://pear.php.net/package/HTML_Template_Sigma/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-ctype
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# included in tests
%define		_noautoreq 'pear(Sigma_api_testcase.php)'

%description
HTML_Template_Sigma implements Integrated Templates API designed by
Ulf Wendel.

Features:
- Nested blocks. Nesting is controlled by the engine.
- Ability to include files from within template: <!-- INCLUDE -->
- Automatic removal of empty blocks and unknown variables (methods to
  manually tweak/override this are also available)
- Methods for runtime addition and replacement of blocks in templates
- Ability to insert simple function calls into templates:
  func_uppercase('Hello world!') and to define callback functions for
  these
- 'Compiled' templates: the engine has to parse a template file using
  regular expressions to find all the blocks and variable placeholders.
  This is a very "expensive" operation and is an overkill to do on every
  page request: templates seldom change on production websites. Thus
  this feature: an internal representation of the template structure is
  saved into a file and this file gets loaded instead of the source one
  on subsequent requests (unless the source changes)
- PHPUnit-based tests to define correct behaviour
- Usage examples for most of the features are available, look in the
  docs/ directory

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
HTML_Template_Sigma jest implementacją API Integrated Templates
zaprojektowanego przez Ulfa Wendla.

Możliwości:
- zagnieżdżone bloki, kontrolowane przez silnik
- możliwość dołączania plików z szablonu: <!-- INCLUDE -->
- automatyczne usuwanie pustych bloków i nieznanych zmiennych
  (dostępne są metody do ręcznego obejścia tego)
- metody do dodawania i podmieniania bloków z szablonów w czasie pracy
- możliwość wstawiania do szablonów wywołań prostych funkcji:
  func_uppercase('Hello world!') oraz definiowanie do tego funkcji
  callback
- "kompilowane" szablony: Silnik musi przeanalizować plik szablonu
  przy użyciu wyrażeń regularnych, aby znaleźć wszystkie bloki i
  zmienne; jest to "droga" operacja i nie jest konieczne wykonywanie jej
  przy każdym żądaniu strony - szablony rzadko zmieniają się na stronach
  produkcyjnych. Stąd ta możliwość: wewnętrzna reprezentacja struktury
  szablonu jest zapisywana do pliku i ten plik jest wczytywany zamiast
  źródłowego przy następnych żądaniach (o ile nie zmieniło się źródło)
- testy oparte na PHPUnit do definiowania prawidłowego zachowania
- dostępne przykłady użycia do większości możliwości, wystarczy
  zajrzeć do katalogu docs/.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/%{_subclass}/*.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTML_Template_Sigma.spec,v $
Revision 1.31  2010/08/21 19:07:59  glen
- updated deps with pearize.sh
- release 2

Revision 1.30  2008/07/23 07:14:39  adamg
- updated to 1.2.0

Revision 1.29  2008-01-31 12:16:07  glen
- rel 2

Revision 1.28  2007-09-01 18:29:58  adamg
- updated to 1.1.6

Revision 1.27  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.26  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.25  2006/11/26 13:54:47  glen
- rel 3

Revision 1.24  2006/11/26 13:39:32  glen
- rel 2: use php(extension) virtuals

Revision 1.23  2006/06/03 21:48:44  glen
- 1.1.5

Revision 1.22  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.21  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.20  2006/03/29 22:29:07  glen
- rel 2 (rebuild with less deps)

Revision 1.19  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.18  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.17  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.16  2005/11/05 17:51:57  glen
- 1.1.4

Revision 1.15  2005/10/05 18:31:31  glen
- rel 2

Revision 1.14  2005/09/26 20:50:17  glen
- fix tests package deps

Revision 1.13  2005/09/26 20:04:52  glen
- new pear packaging

Revision 1.12  2005/08/21 18:12:49  adamg
- updated to 1.1.3

Revision 1.11  2004/12/03 22:12:56  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.10  2004/10/20 14:39:45  adamg
- updated to 1.1.2

Revision 1.9  2004/05/31 16:07:13  adamg
- updated to 1.1.1

Revision 1.8  2004/05/30 13:13:49  adamg
- fixed english information about status of the package

Revision 1.7  2004/04/14 11:52:49  adamg
- updated to 1.1.0

Revision 1.6  2003/10/07 20:54:59  adamg
- do not use macros in URL

Revision 1.5  2003/10/02 15:57:50  adamg
- updated to 1.0.2

Revision 1.4  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.3  2003/06/08 16:26:12  qboosh
- pl description, cleanups

Revision 1.2  2003/06/03 23:21:30  adamg
- fixed source0-md5

Revision 1.1  2003/06/03 21:21:23  adamg
- initial import
